# th_stripe_callback Struct Reference

The striped decode callback data to pass to TH_DECCTL_SET_STRIPE_CB. More...

`#include <theoradec.h>`

## Data Fields
void * | ctx
| An application-provided context pointer.
th_stripe_decoded_func | stripe_decoded
| The callback function pointer.

## Detailed Description

The striped decode callback data to pass to TH_DECCTL_SET_STRIPE_CB.

## Field Documentation

void* th_stripe_callback::ctx

An application-provided context pointer.

This will be passed back verbatim to the application.

th_stripe_decoded_func th_stripe_callback::stripe_decoded

The callback function pointer.

The documentation for this struct was generated from the following file:

- theoradec.h